import numpy as np

##############################################################################################################
##############################            conversions         ##############################
##############################################################################################################
#Plank's constant eV/s
h=4.135667516e-15
#speed of ligh m/s 
c=299792458 

def deg2rad(angle_deg):
    angle_rad=angle_deg*np.pi/180
    return angle_rad

def rad2deg(angle_rad):
    angle_deg=angle_rad*180/np.pi
    return angle_deg
    
def eV2Lambda(eV):
    """ 
    Converts energy (eV) into wavelenght (Angstrom)
    """
    Angstrom = h*c/eV*1e10
    return Angstrom

def Lambda2eV(Angstrom):
    """ 
    Converts wavelenghth (Angstrom) into energy (eV)
    """

    eV = h*c/Angstrom*1e10
    return eV

